mcrypt_enc_get_supported_key_sizes
mcrypt_enc_is_block_algorithm
Mcrypt Functions
PHP Manual

# mcrypt_enc_is_block_algorithm_mode

Checks whether the encryption of the opened mode works on blocks

### Description

bool mcrypt_enc_is_block_algorithm_mode ( resource `$td` )

Tells whether the algorithm of the opened mode works on blocks (e.g. `FALSE` for stream, and `TRUE` for cbc, cfb, ofb)..

### Parameters

`td`

  The encryption descriptor.

### Return Values

Returns `TRUE` if the mode is for use with block algorithms, otherwise it returns `FALSE`.